jQuery(document).ready(function ($) {
    "use strict";
    var extra_main_block = $('.attendee_extra_main_block');
    // localize text
    var warning_message = typeof etn_pro_admin_object !== "undefined" ? etn_pro_admin_object.warning_message : "";
    var warning_icon = typeof etn_pro_admin_object !== "undefined" ? etn_pro_admin_object.warning_icon : "";
    var optional = typeof etn_pro_admin_object !== "undefined" ? etn_pro_admin_object.optional : "";
    var required = typeof etn_pro_admin_object !== "undefined" ? etn_pro_admin_object.required : "";

    if ($('.post-type-etn-attendee').length > 0) {
        $('.wrap .wp-heading-inline').after('<a id="etn_ticket_scanner" class="etn-btn etn-ticket-scanner" href="' + etn_pro_admin_object.ticket_scanner_link + '" target="_blank"> ' + etn_pro_admin_object.ticket_scanner_text + '</a>');
    }

    // show / hide
    multiple_block_show_hide("#etn_banner", ".banner_bg_type", ".banner_bg_image", ".banner_bg_color");
    multiple_block_show_hide("#banner_bg_type", ".banner_bg_color", ".banner_bg_image");

    function multiple_block_show_hide(trigger, selector1, selector2, selector3) {
        if ((trigger == '#etn_banner') && ($(trigger).prop('checked'))) {
            $(selector1).slideDown('slow');
            $(selector2).slideDown('slow');
        } else {
            $(selector1).slideUp('slow');
            $(selector2).slideUp('slow');
        }

        if (trigger == '#banner_bg_type') {
            if ($("#etn_banner").prop('checked')) {
                if ((trigger == '#banner_bg_type') && ($(trigger).prop('checked'))) {
                    $(selector2).slideUp('slow');
                    $(selector1).slideDown('slow');
                } else {
                    $(selector1).slideUp('slow');
                    $(selector2).slideDown('slow');
                }
            }
        }
        jQuery(trigger).on('change', function () {
            switch (trigger) {
                case "#etn_banner":
                    if ($(trigger).prop('checked')) {
                        $(selector1).slideDown('slow');
                        $(selector2).slideDown('slow');
                        if ($("#banner_bg_type").prop('checked')) {
                            $(selector2).slideUp('slow');
                            $(selector3).slideDown('slow');
                        } else {
                            $(selector3).slideUp('slow');
                            $(selector2).slideDown('slow');
                        }
                    } else {
                        $(selector1).slideUp('slow');
                        $(selector2).slideUp('slow');
                        $(selector3).css('display', 'none');
                    }

                    break;
                case "#banner_bg_type":
                    if ($(trigger).prop('checked')) {
                        $(selector1).slideDown('slow');
                        $(selector2).slideUp('slow');
                    } else {
                        $(selector1).slideUp('slow');
                        $(selector2).slideDown('slow');
                    }
                    break;
                default:
                    break;
            }
        })
    }

    jQuery(window).trigger('etn.colorPicker');

    $('form#etn-admin-license-form').on('submit', function (e) {
        e.preventDefault();
        var __this = $(this),
            edd_action_type = "activate_license",
            license_key = __this.find("#etn-admin-option-text-etn-license-key").val();
        var successText = "Congratulations! Your product is activated. Refreshing...";
        var failureText = "Invalid Credentials";
        $.ajax({
            url: etn_pro_admin_object.ajax_url,
            type: "POST",
            data: {
                action: 'action_activate_license',
                edd_action_type: edd_action_type,
                license_key: license_key
            },
            success: function (response) {
                if (response == "valid") {
                    var content = "<div class='etn-license-form-result'><p class='attr-alert attr-alert-success'>" + successText + "<\/p><\/div>";
                    location.reload();
                } else {
                    var content = "<div class='etn-license-form-result'><p class='attr-alert attr-alert-warning'>" + failureText + "<\/p><\/div>";
                }
                __this.parents(".etn-license-module-parent").find(".etn-license-result-box").html(content);
            },
            error: function (data) {
            }
        });
    });

    $(".etn-select-marketplace").on("change", function (e) {
        var __this = $(this);
        var selectedVal = __this.val();
        var parentDiv = __this.parents(".etn-license-module-parent");
        if (selectedVal == "codecanyon") {
            parentDiv.find(".etn-marketplace-codecanyon").css("display", "block");
            parentDiv.find(".etn-marketplace-themewinter").css("display", "none");
        } else if (selectedVal == "themewinter") {
            parentDiv.find(".etn-marketplace-codecanyon").css("display", "none");
            parentDiv.find(".etn-marketplace-themewinter").css("display", "block");
        } else {
            parentDiv.find(".etn-marketplace-codecanyon").css("display", "none");
            parentDiv.find(".etn-marketplace-themewinter").css("display", "none");
        }
    });
    $(".etn-select-marketplace").trigger("change");

    $('.etn-revoke-license-text').on('click', function (e) {
        var __this = $(this),
            edd_action_type = "deactivate_license",
            successText = 'License Revoked! Refreshing...',
            failureText = 'Could not revoke license. Please try again!';;
        $.ajax({
            url: etn_pro_admin_object.ajax_url,
            type: "POST",
            data: {
                action: 'action_deactivate_license',
                edd_action_type: edd_action_type
            },
            success: function (response) {
                if (response == 'deactivated') {
                    __this.parents('.etn-license-form-result').find('.attr-alert-success').empty().html(successText);
                    location.reload();
                } else {
                    __this.parents('.etn-license-form-result').find('.attr-alert-success').empty().html(failureText);
                }
            },
            error: function (data) {
            }
        });
    });

    $(".etn-btn-save-marketplace").on("click", function () {
        var __this = $(this);
        var marketPlaceValue = __this.parents(".etn-license-module-parent").find(".etn-select-marketplace").val();
        var successText = "Marketplace Saved";
        var failureText = "Couldn't save marketplace value";
        $.ajax({
            url: etn_pro_admin_object.ajax_url,
            type: "POST",
            data: {
                action: 'save_market_place',
                market_place: marketPlaceValue
            },
            success: function (response) {
                if (response == "valid") {
                    var content = "<div class='etn-license-form-result'><p class='attr-alert attr-alert-success'>" + successText + "<\/p><\/div>";
                } else {
                    var content = "<div class='etn-license-form-result'><p class='attr-alert attr-alert-warning'>" + failureText + "<\/p><\/div>";
                }
                __this.parents(".etn-license-module-parent").find(".etn-marketplace-save-result").html(content);
            },
            error: function (data) {
            }
        });
    });

    $('.add_attendee_extra_block').on('click', function (e) {
        var input_count = $('.etn-attendee-field').length;

        var label_text = $(this).data("label_text");
        var placeholder_text = $(this).data("placeholder_text");

        var select_input_type_text = $(this).data("select_input_type_text");
        var input_type_text = $(this).data("input_type_text");
        var input_type_number = $(this).data("input_type_number");
        var input_type_date = $(this).data("input_type_date");
        var input_type_radio = $(this).data("input_type_radio");
        var input_type_checkbox = $(this).data("input_type_checkbox");

        var show_in_dashboard_text = $(this).data("show_in_dashboard_text");
        var next_add_time_index = parseInt($(this).attr("data-next_add_time_index"));

        input_count = next_add_time_index;

        var input_type_markup = '<select name="attendee_extra_fields[' + input_count + '][type]" id="attendee_extra_type_' + input_count + '" class="attendee_extra_type mr-1 etn-settings-input etn-form-control" data-current_extra_block_index="' + next_add_time_index + '" required>' +
            '<option value="" disabled selected>' + select_input_type_text + '</option>' +
            '<option value="text">' + input_type_text + '</option>' +
            '<option value="number">' + input_type_number + '</option>' +
            '<option value="date">' + input_type_date + '</option>' +
            '<option value="radio">' + input_type_radio + '</option>' +
            '<option value="checkbox">' + input_type_checkbox + '</option>' +
            '</select>'

        extra_main_block.append(
            `<div class="etn-attendee-field attendee_block mb-2">
					<select name='attendee_extra_fields[`+ input_count + `][etn_field_type]'><option value="optional">` + optional + `</option><option value="required">` + required + `</option></select>
					` +
            '<div class="attendee_extra_field_wrapper"><input type="text" name="attendee_extra_fields[' + input_count + '][label]" value="" class="attendee_extra_label mr-1 etn-settings-input etn-form-control" id="attendee_extra_label_' + input_count + '" placeholder="' + label_text + '" required /></div>' +
            input_type_markup +
            '<input type="text" name="attendee_extra_fields[' + input_count + '][place_holder]" value="" class="attendee_extra_placeholder mr-1 etn-settings-input etn-form-control" id="attendee_extra_placeholder_' + input_count + '" placeholder="' + placeholder_text + '" />' +
            '<div class="attendee_extra_show_in_dashboard_wrapper etn-checkbox-field">' +
            '<input type="checkbox" name="attendee_extra_fields[' + input_count + '][show_in_dashboard]" value="" class="attendee_extra_show_in_dashboard mr-1 etn-settings-input etn-form-checkbox" id="attendee_extra_show_in_dashboard_' + input_count + '" />' +
            '<label for="attendee_extra_show_in_dashboard_' + input_count + '">' + show_in_dashboard_text + '</label>' +
            '</div>' +
            '<span class="dashicons etn-btn dashicons dashicons-no-alt remove_attendee_extra_field pl-1"></span>' +
            '</div>');

        $(this).attr('data-next_add_time_index', next_add_time_index + 1);
    });

    // remove repeater block
    var remove_block = {
        parent_block: '.attendee_extra_main_block',
        remove_button: '.remove_attendee_extra_field',
        removing_block: '.attendee_block'
    };

    etn_remove_block(remove_block);
    function etn_remove_block(remove_block_object) {
        jQuery(remove_block_object.parent_block).on('click', remove_block_object.remove_button, function (e) {
            e.preventDefault();
            jQuery(this).parent(remove_block_object.removing_block).remove();
        });
    }
    // extra type select(option) change
    extra_main_block.on('change', '.attendee_extra_type', function () {
        var $this = $(this);
        var selected_type = $(this).val();

        var special_types = [
            'date',
            'radio',
            'checkbox',
        ];

        // force to fill up label of checkbox.
        var current_index = $this.attr('data-current_extra_block_index');
        var get_id = $("#attendee_extra_label_" + current_index);
        var get_label = get_id.val();
        var block_length = $(".attendee_block").length;
        var block = $(".warning_" + block_length);

        if (get_label == "" && block.length == 0) {
            get_id.addClass('etn-field-invalid').after("<span class='warning_" + block_length + "'>" + warning_icon + warning_message + "</span>");
        } else {
            get_id.removeClass('etn-field-invalid');
            block.remove();
        }

        // in case of date/radio/checkbox type, hide placeholder field
        if (special_types.includes(selected_type)) {
            $(this).siblings('.attendee_extra_placeholder').css('display', 'none');
        } else {
            $(this).siblings('.attendee_extra_placeholder').css('display', 'block');
        }

        // radio section logic
        if (selected_type == 'radio') {
            var already_radio_block_exist = $(this).siblings('.attendee_extra_type_radio_main_block').length;

            if (already_radio_block_exist == 1) {
                $(this).siblings('.attendee_extra_type_radio_main_block').css('display', 'block');
            } else {
                // add radio block markup
                var radio_placeholder_text = $('.add_attendee_extra_block').data("radio_placeholder_text");
                var radio_add_btn_text = $('.add_attendee_extra_block').data("radio_add_btn_text");
                var radio_note = $('.add_attendee_extra_block').data("radio_note");

                var current_extra_block_index = $(this).data('current_extra_block_index');

                var radio_two_text_field = '';
                for (var i = 0; i < 2; i++) {
                    radio_two_text_field += '<div class="etn-attendee-field attendee_extra_type_radio_block mb-2">' +
                        '<input type="text" name="attendee_extra_fields[' + current_extra_block_index + '][radio][' + i + ']" value=""' +
                        'id="attendee_extra_type_' + current_extra_block_index + '_radio_' + i + '" class="attendee_extra_type_radio mr-1 etn-settings-input etn-form-control attendee_extra_type_radio_' + i + '"' +
                        'placeholder="' + radio_placeholder_text + '"/>' +
                        '</div>';
                }

                var radio_add_more_btn = '<div class="etn_flex_reverse attendee_extra_type_radio_section">' +
                    '<span class="add_attendee_extra_type_radio_block etn-btn-text"' +
                    'data-radio_placeholder_text="' + radio_placeholder_text + '"' +
                    'data-next_add_time_radio_parent_index="' + current_extra_block_index + '" data-next_add_time_radio_index="2">' +
                    radio_add_btn_text +
                    '</span>' +
                    '</div>';

                var radio_block_markup = '<div class="attendee_extra_type_radio_main_block">' +
                    '<div class="attendee_extra_type_radio_note">' + radio_note + '</div>' +
                    radio_two_text_field +
                    radio_add_more_btn +
                    '</div>';

                $(this).next().after(radio_block_markup);
            }
        } else {
            $(this).siblings('.attendee_extra_type_radio_main_block').css('display', 'none');
        }

        // checkbox section logic
        if (selected_type == 'checkbox') {
            var already_checkbox_block_exist = $(this).siblings('.attendee_extra_type_checkbox_main_block').length;

            if (already_checkbox_block_exist == 1) {
                $(this).siblings('.attendee_extra_type_checkbox_main_block').css('display', 'block');
            } else {
                // add checkbox block markup
                var checkbox_placeholder_text = $('.add_attendee_extra_block').data("checkbox_placeholder_text");
                var checkbox_add_btn_text = $('.add_attendee_extra_block').data("checkbox_add_btn_text");

                var current_extra_block_index = $(this).data('current_extra_block_index');

                // may delete later
                var checkbox_text_field = '<div class="etn-attendee-field attendee_extra_type_checkbox_block mb-2">' +
                    '<input type="text" name="attendee_extra_fields[' + current_extra_block_index + '][checkbox][0]" value=""' +
                    'id="attendee_extra_type_' + current_extra_block_index + '_checkbox_0" class="attendee_extra_type_checkbox mr-1 etn-settings-input etn-form-control"' +
                    'placeholder="' + checkbox_placeholder_text + '" />' +
                    '</div>';

                var checkbox_add_more_btn = '<div class="etn_flex_reverse attendee_extra_type_checkbox_section">' +
                    '<span class="add_attendee_extra_type_checkbox_block etn-btn-text"' +
                    'data-checkbox_placeholder_text="' + checkbox_placeholder_text + '"' +
                    'data-next_add_time_checkbox_parent_index="' + current_extra_block_index + '" data-next_add_time_checkbox_index="1">' +
                    checkbox_add_btn_text +
                    '</span>' +
                    '</div>';

                var checkbox_block_markup = '<div class="attendee_extra_type_checkbox_main_block">' +
                    checkbox_text_field +
                    checkbox_add_more_btn +
                    '</div>';

                $(this).next().after(checkbox_block_markup);
            }
        } else {
            $(this).siblings('.attendee_extra_type_checkbox_main_block').css('display', 'none');
        }
    })

    // show msg to fill at least 2 radio label field
    extra_main_block.on('keyup change', '.attendee_extra_type_radio', function (e) {
        var radio_block_arr = $(this).parents('.attendee_extra_type_radio_main_block').find('.attendee_extra_type_radio');
        radio_block_note_display($(this), radio_block_arr)
    });

    extra_main_block.on('keyup change', '.attendee_extra_label', function (e) {
        var $this = $(this);
        var current_id = $this.attr('id');
        var block_length = $(".attendee_block").length;
        var block = $(".warning_" + block_length);

        if ($this.val() == "" && block.length == 0) {
            $this.addClass('etn-field-invalid').after("<span class='warning_" + block_length + "'>" + warning_icon + warning_message + "</span>");
        } else {
            $this.removeClass('etn-field-invalid')
            block.remove();
        }

    });

    // if 2 radio label is not filled up then display the note
    function radio_block_note_display($this, radio_block_arr) {
        var radio_note_show = false;
        $.each(radio_block_arr, function (i, item) {
            if ((i == 0 || i == 1) && $(item).val() == '') {
                radio_note_show = true;
            }
        });

        if (radio_note_show) {
            $this.parents('.attendee_extra_type_radio_main_block').find('.attendee_extra_type_radio_note').css('display', 'block');
        } else {
            $this.parents('.attendee_extra_type_radio_main_block').find('.attendee_extra_type_radio_note').css('display', 'none');
        }
    }

    // add more attendee extra type radio field
    extra_main_block.on('click', '.add_attendee_extra_type_radio_block', function (e) {
        var radio_placeholder_text = $(this).data("radio_placeholder_text");

        var radio_parent_index = parseInt($(this).attr("data-next_add_time_radio_parent_index"));
        var radio_index = parseInt($(this).attr("data-next_add_time_radio_index"));

        var new_radio_markup = '<div class="etn-attendee-field attendee_extra_type_radio_block mb-2">' +
            '<input type="text" name="attendee_extra_fields[' + radio_parent_index + '][radio][' + radio_index + ']" value="" class="attendee_extra_type_radio mr-1 etn-settings-input etn-form-control" id="attendee_extra_type_' + radio_parent_index + '_radio_' + radio_index + '" placeholder="' + radio_placeholder_text + '" />' +
            '<span class="dashicons etn-btn dashicons dashicons-no-alt remove_attendee_extra_type_radio_field pl-1"></span>' +
            '</div>';

        $(this).closest('.attendee_extra_type_radio_main_block')
            .children('.attendee_extra_type_radio_block:last').after(new_radio_markup);

        $(this).attr('data-next_add_time_radio_index', radio_index + 1);
    });


    // add more attendee extra type checkbox field
    extra_main_block.on('click', '.add_attendee_extra_type_checkbox_block', function (e) {
        var checkbox_placeholder_text = $(this).data("checkbox_placeholder_text");

        var checkbox_parent_index = parseInt($(this).attr("data-next_add_time_checkbox_parent_index"));
        var checkbox_index = parseInt($(this).attr("data-next_add_time_checkbox_index"));

        var new_checkbox_markup = '<div class="etn-attendee-field attendee_extra_type_checkbox_block mb-2">' +
            '<input type="text" name="attendee_extra_fields[' + checkbox_parent_index + '][checkbox][' + checkbox_index + ']" value="" class="attendee_extra_type_checkbox mr-1 etn-settings-input etn-form-control" id="attendee_extra_type_' + checkbox_parent_index + '_checkbox_' + checkbox_index + '" placeholder="' + checkbox_placeholder_text + '" />' +
            '<span class="dashicons etn-btn dashicons dashicons-no-alt remove_attendee_extra_type_checkbox_field pl-1"></span>' +
            '</div>';

        $(this).closest('.attendee_extra_type_checkbox_main_block')
            .children('.attendee_extra_type_checkbox_block:last').after(new_checkbox_markup);

        $(this).attr('data-next_add_time_checkbox_index', checkbox_index + 1);
    });


    // remove attendee extra type radio field
    extra_main_block.on('click', '.remove_attendee_extra_type_radio_field', function (e) {

        var radio_block_arr = $(this).parents('.attendee_extra_type_radio_main_block').find('.attendee_extra_type_radio:not(:last)');
        radio_block_note_display($(this), radio_block_arr);

        $(this).parent().remove();
    });

    // remove attendee extra type checkbox field
    extra_main_block.on('click', '.remove_attendee_extra_type_checkbox_field', function (e) {
        $(this).parent().remove();
    });

    $('.etn-set-min-qty').on('change keyup', function () {
        var __this = $(this);
        var min_holder = __this.find("input[type='number']");
        var min_val = parseInt(min_holder.val());
        var max_holder = __this.siblings('.etn-set-max-qty').find("input[type='number']");
        var max_val = parseInt(max_holder.val());
        if ($.isNumeric(max_val) && min_val > max_val) {
            min_holder.val(max_val);
        }
    });

    $('.etn-set-max-qty').on('change keyup', function () {
        var __this = $(this);
        var max_holder = __this.find("input[type='number']");
        var max_val = parseInt(max_holder.val());
        var min_holder = __this.siblings('.etn-set-min-qty').find("input[type='number']");
        var min_val = parseInt(min_holder.val());
        if ($.isNumeric(min_val) && max_val < min_val) {
            max_holder.val(min_val);
        }
    });

    $("#banner_bg_color").wpColorPicker();
    $("#etn_event_calendar_bg").wpColorPicker();
    $("#etn_event_calendar_text_color").wpColorPicker();

    /** groundhogg settings triggered show/hide */

    jQuery('#groundhogg_api').on('change', function () {
        if (jQuery("#groundhogg_api").prop('checked')) {
            jQuery(".groundhogg_block").slideDown('slow');
        } else {
            jQuery(".groundhogg_block").slideUp('slow');
        }
    })
    jQuery('#groundhogg_api').trigger('change');

    /** Google map api settings triggered show/hide */
    jQuery('#etn_googlemap_api').on('change', function () {
        if (jQuery("#etn_googlemap_api").prop('checked')) {
            jQuery(".googlemap_block").slideDown('slow');
        } else {
            jQuery(".googlemap_block").slideUp('slow');
        }
    })
    jQuery('#etn_googlemap_api').trigger('change');

    /** onchange location options in the single event */
    $('.etn_event_location_type').change(function () {
        if ($('.etn_event_location_type').val() == 'new_location') {
            $('.etn-existing-items').hide();
            $('.etn-new-items').show();
        } else {
            $('.etn-existing-items').show();
            $('.etn-new-items').hide();
        }
    });

    // Show hide speaker/schedule block on event type change
    // $('.etn_select_speaker_schedule_type').on('change', function () {
    //     if ($('.etn_select_speaker_schedule_type').val() === 'schedule') {
    //         $('.etn-existing-items').hide();
    //         $('.etn-new-items').css('display', 'flex');
    //     } else {
    //         $('.etn-existing-items').css('display', 'flex');
    //         $('.etn-new-items').hide();
    //     }
    // });

    // enable/disable option for stripe hide/show div
    $('#etn_sells_engine_stripe').on('change', function () {
        var _this = $(this);
        if (_this.prop('checked')) {
            $('.stripe-payment-methods').slideDown();
            var _that = $('#sell_tickets');
            if (_that.prop('checked')) {
                _that.prop("checked", false);
                $('.woocommerce-payment-type').slideUp();
            }
        } else {
            $('.stripe-payment-methods').slideUp();
        }
    });
    $('#etn_sells_engine_stripe').trigger('change');

    // enable/disable option for test mode hide/show div
    $('#etn_stripe_test_mode').on('change', function () {
        var _this = $(this);
        if (_this.prop('checked')) {
            $('.live-key-wrapper').slideUp();
            $('.test-key-wrapper').slideDown();
        } else {
            $('.live-key-wrapper').slideDown();
            $('.test-key-wrapper').slideUp();
        }
    });
    $('#etn_stripe_test_mode').trigger('change');

    $('.etn-generate-certificate').on('click', function () {
        var __this = $(this);
        var event_id = __this.data('event-id');
        var status_container = __this.siblings('.etn-generate-certificate-response');

        $.ajax({
            type: "POST",
            url: etn_pro_admin_object.ajax_url,
            dataType: 'json',
            data: {
                event_id: event_id,
                action: 'send_attendee_certificates',
                security: etn_pro_admin_object.certificate_nonce
            },
            beforeSend: function () {
                __this.attr('disabled', 'disabled');
                __this.css("cursor", "not-allowed");
                __this.addClass('etn-ajax-loading');
            },
            complete: function () {
                __this.removeAttr('disabled');
                __this.css("cursor", "pointer");
                __this.removeClass('etn-ajax-loading');
            },
            success: function (response) {
                console.log('success', response);
                // let data    = response.data;
                var content = response.content;
                var msg = response.messages[0];
                var status = response.status_code;
                if (status === 200) {
                    status_container.html(msg).addClass('status-success').removeClass('status-failed').css('display', 'block');
                    setTimeout(() => {
                        status_container.fadeOut('slow').css('display', 'none');
                    }, 2000);
                } else {
                    status_container.html(msg).removeClass('status-success').addClass('status-failed').css('display', 'block');
                    setTimeout(() => {
                        status_container.fadeOut('slow').css('display', 'none');
                    }, 2000);
                }
            },
            error: function (response) {
                status_container.html(response.messages[0]).removeClass('status-success').addClass('status-failed').css('display', 'block');
                setTimeout(() => {
                    status_container.fadeOut('slow').css('display', 'none');
                }, 2000);
            }
        });
    });

    // Shortcode scripts
    $(document).on('click', '.shortcode-script-btn', function () {
        let scriptParent = $(this).parents('.shortcode-generator-inner');
        let shortcode = scriptParent.find('.etn_include_shortcode').val();
        let scriptName = scriptParent.find('.script-name').val();
        let scriptInput = scriptParent.find('.etn-shortcode-script').val();
        let scriptContainer = $('.etn_copy_scripts');
        let button = $(this)

        if (scriptContainer) {
            scriptContainer.remove();
        }

        if (!shortcode) {
            alert("Please Generate ShortCode First");
            return;
        }

        button.attr("disabled", true);
        button.css("cursor", "wait");

        $.ajax({
            method: 'post',
            url: etn_pro_admin_object.ajax_url,
            data: {
                action: 'eventin_external_script',
                shortcode: shortcode,
                post_name: scriptName
            },
            success: function (res) {
                let script = `<script src="${etn_pro_admin_object.site_url}/eventin-external-script?id=${res.data.id}"></script>`;
                let html = `<div 
                            class="attr-form-group etn-label-item copy_shortcodes etn_copy_scripts" 
                            style="display: block;"
                        >
                            <div class="etn-meta">
                                <textarea 
                                    readonly=""
                                    class="etn-setting-input etn-shortcode-script"
                                    id="events-scripts"
                                >
${script}
                                </textarea>
                        
                                <button 
                                    type="button" 
                                    onclick="copyTextData('events-scripts');" 
                                    class="etn_copy_button etn-btn"
                                >
                                    <span 
                                        class="dashicons dashicons-category"
                                    >
                                    </span>
                                </button>
                            </div>
                        </div>`

                if (!scriptInput) {
                    $(scriptParent).append(html);
                }

                button.removeAttr('disabled');
                button.css('cursor', 'pointer');
            },
            error: function (error) {
                console.log(error);
            }
        });

    });

    // Script generate for single event
    $(document).on('click', '.etn-script-generate-btn', function (e) {
        e.preventDefault();
        let modal = $('.etn-script-generator-modal');
        let modalContainer = $('.etn-script-generator-modal-content');
        let id = $(this).data('id');
        let inputScript = `<script src="${etn_pro_admin_object.site_url}/eventin-external-script?id=${id}"></script>`;

        let html = `<div 
                        class="attr-form-group etn-label-item copy_shortcodes" 
                        style="display: block;"
                    >
                        <div 
                            class="etn-meta"
                            style="display: flex;
                            align-items: center;
                            gap: 16px;"
                        >
                            <textarea 
                                readonly=""
                                class="etn-setting-input etn-shortcode-script"
                                id="events-scripts"
                            >
${inputScript}</textarea>
                    
                            <button 
                                type="button" 
                                onclick="copyTextData('events-scripts');" 
                                class="etn_copy_button etn-btn"
                            >
                                <span 
                                    class="dashicons dashicons-category"
                                >
                                </span>
                            </button>
                        </div>
                    </div>`

        modalContainer.append(html);
        modal.css('display', 'block');
        $('body').css('overflow-y', 'hidden');
    });

    $(document).on('click', '.etn-script-generator-modal-close', function (e) {
        e.preventDefault();
        $('.etn-script-generator-modal').css('display', 'none');
        $('.etn-script-generator-modal-content').text('');
        $('body').css('overflow-y', 'auto');
    });

    // Doamin registration settings.
    $(document).on('click', '.remove-domain', function (e) {
        e.preventDefault();

        $(this).parents('.attr-form-group').remove();
    });

    $(document).on('click', '.add-domain', function (e) {
        e.preventDefault();

        let html = `
        <div class="attr-form-group etn-label-item etn-label-top">
            <div class="etn-meta">
                <input 
                    type="text"
                    name="external_domain[]"
                    placeholder="example.com"
                    class="etn-setting-input attr-form-control" 
                >
            </div>
            <button class="etn-remove-btn remove-domain">
                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-x"><line x1="18" y1="6" x2="6" y2="18"></line><line x1="6" y1="6" x2="18" y2="18"></line></svg>
            </button>
        </div>
        `;
        $('.domains').append(html);
    });

    // Webhook.
    $(document).on('click', '.etn-webhook-title', function () {
        let itemContent = $(this).parents('.etn-webhook-item').find('.etn-webhook-item-content')
        itemContent.addClass('webhook-active-item');
        itemContent.slideToggle();
    });

    $(document).on('click', '.webhook-close-btn', function (e) {
        e.preventDefault();

        if ( ! confirm( 'Are you sure want to delete this ?' ) ) {
            return false;
        }

        let parent = $(this).parents('.etn-webhook-item');
        let action = 'etn-delete-webhook';
        let post_id = $(parent).find('input[name="webhook_id"]').val();
        let button = $(this)

        button.css('cursor', 'wait');
        button.attr('disabled', true);

        $.ajax({
            url: etn_pro_admin_object.ajax_url,
            method: 'post',
            dataType: 'json',
            data: {
                action,
                post_id
            }, 
            success: function(res) {
                $(parent).remove();
                button.css('cursor', 'pointer');
                button.removeAttr('disabled');
            },
            error: function(error) {
                console.log(error);
            }
        });
    });

    $(document).on('click', '#add-new-webhook', function (e) {
        e.preventDefault();
        let formClass = $('.etn-add-webhook');
        let form = $(this).parents('.etn-add-new-webhook').find('.etn-webhook-item-content');

        $(formClass).slideDown();
    });

    // Cancel Changes
    $(document).on('click', '.cancel-webhook-btn', function (e) {
        e.preventDefault();

        $(this).parents('.etn-webhook-item-content').slideUp();
    });

    // Save changes
    $(document).on('click', '.save-webhook-btn', function (e) {
        e.preventDefault();
        let form = $(this).parents('.etn-webhook-item-content');

        let id = form.find('input[name="webhook_id"]').val();
        let name = form.find('input[name="webhook_name"]').val();
        let status = form.find('select[name="webhook_status"]').val();
        let topic = form.find('select[name="webhook_topic"]').val();
        let delivery_url = form.find('input[name="webhook_delivery_url"]').val();
        let secrete = form.find('input[name="webhook_secrete"]').val();
        let description = form.find('textarea[name="webhook_description"]').val();
        let action = 'etn-save-webhook';

        if (id < 1) {
            id = false
        }

        let data = {
            id,
            name,
            status,
            topic,
            delivery_url,
            secrete,
            description,
            action,
        }

        let response = saveWebhooks(data, this);
    });

    /**
     * Save webhook
     *
     * @param   Object  data  webhook object
     *
     * @return  bool    Created Webhook
     */
    function saveWebhooks(data = {}, item) {

        if (!validate(data)) {
            return;
        }

        loading(item, true);

        $.ajax({
            url: etn_pro_admin_object.ajax_url,
            method: 'post',
            dataType: 'json',
            data,
            success: function (res) {
                if (!data.id) {
                    data.id = res.data.id
                    createNewItem(data);
                }

                loading(item, false);
                $(item).parents('.etn-webhook-item-content').slideUp();
            },
            error: function (error) {
                loading(item, false);
            }
        });
    }

    /**
     * Created item insert into frontend
     *
     * @param   {Object}  data  Webhook data
     *
     * @return  {void} 
     */
    function createNewItem(data = {}) {
        let newItemHead = `<div class="etn-label etn-webhook-title"><label>${data.name}</label><div class="etn-desc mb-2">This Will help to pass data</div></div><div class="etn-meta"><button class="etn-btn-close webhook-close-btn"><span class="dashicons dashicons-no-alt"></span></button></div>`;

        let webhookCreateForm = $('.etn-add-new-webhook');
        let originalSelect    = $(webhookCreateForm).find('select');
            originalSelect.select2('destroy');

        let newItem = $(webhookCreateForm).clone();
            originalSelect.select2();
        

        // Hide Create Form
        webhookCreateForm.find('.etn-webhook-item-content').slideUp();
        // Reset input value
        webhookCreateForm.find('input').val('');

        newItem.removeClass('etn-add-new-webhook');
        newItem.addClass('etn-webhook-item');
        newItem.find('.new-item-head').remove();
        newItem.prepend(newItemHead);
        newItem.find('.etn-webhook-item-content').css('display', 'none');
        newItem.find('input[name="webhook_id"]').val(data.id);

        let saveBtn = newItem.find('.save-webhook-btn');
        saveBtn.removeAttr('disabled');
        saveBtn.css('cursor', 'pointer');

        $(newItem).find('select').select2();

        let topic = newItem.find('select[name="webhook_topic"]');
        let status = newItem.find('select[name="webhook_status"]');
        
        $(topic).val(data.topic).trigger('change');
        $(status).val(data.status).trigger('change');
        
        $('#webhooks').append(newItem);

    }

    /**
     * Validate the form value
     *
     * @param   {Object}  data
     *
     * @return  {void}
     */
    function validate(data = {}) {
        let errors = [];

        $('.etn-webhook-error').remove();

        if (!data.name) {
            errors.push({ 'webhook_name': 'Please enter webhook name' });
        }

        if (!data.status) {
            errors.push({ 'webhook_status': 'Please enter webhook status' });
        }

        if (!data.topic) {
            errors.push({ 'webhook_topic': 'Please enter webhook topic' });
        }

        if (!data.delivery_url) {
            errors.push({ 'webhook_delivery_url': 'Please enter webhook delivery url' });
        }

        if (errors.length > 0) {
            let errorNotice = `<div class="attr-form-group etn-label-item etn-label-top etn-webhook-error"></div>`

            $('#webhooks').prepend(errorNotice);

            errors.forEach((error, index) => {
                $('.etn-webhook-error').append(`<p>${Object.values(error)[0]}</p>`);
            });

            return false;
        }

        return true;
    }

    /**
     * Ajax loading
     *
     * @param   {Node}  item    
     * @param   {boolean}  isLoading
     *
     * @return  {Void}
     */
    function loading(item, isLoading) {
        if (isLoading) {
            $(item).css('cursor', 'wait');
            $(item).attr('disabled', true);
        } else {
            $(item).css('cursor', 'pointer');
            $(item).removeAttr('disabled');
        }
    }

    // remove repeater block
    var remove_block = {
        parent_block: '.attendee_extra_main_block',
        remove_button: '.remove_attendee_extra_field',
        removing_block: '.attendee_block'
    };

    etn_remove_block(remove_block);
    function etn_remove_block(remove_block_object) {
        jQuery(remove_block_object.parent_block).on('click', remove_block_object.remove_button, function (e) {
            e.preventDefault();
            jQuery(this).parent(remove_block_object.removing_block).remove();
        });
    }
    // extra type select(option) change
    extra_main_block.on('change', '.attendee_extra_type', function () {
        var $this = $(this);
        var selected_type = $(this).val();

        var special_types = [
            'date',
            'radio',
            'checkbox',
        ];

        // force to fill up label of checkbox.
        var current_index = $this.attr('data-current_extra_block_index');
        var get_id = $("#attendee_extra_label_" + current_index);
        var get_label = get_id.val();
        var block_length = $(".attendee_block").length;
        var block = $(".warning_" + block_length);

        if (get_label == "" && block.length == 0) {
            get_id.addClass('etn-field-invalid').after("<span class='warning_" + block_length + "'>" + warning_icon + warning_message + "</span>");
        } else {
            get_id.removeClass('etn-field-invalid');
            block.remove();
        }

        // in case of date/radio/checkbox type, hide placeholder field
        if (special_types.includes(selected_type)) {
            $(this).siblings('.attendee_extra_placeholder').css('display', 'none');
        } else {
            $(this).siblings('.attendee_extra_placeholder').css('display', 'block');
        }

        // radio section logic
        if (selected_type == 'radio') {
            var already_radio_block_exist = $(this).siblings('.attendee_extra_type_radio_main_block').length;

            if (already_radio_block_exist == 1) {
                $(this).siblings('.attendee_extra_type_radio_main_block').css('display', 'block');
            } else {
                // add radio block markup
                var radio_placeholder_text = $('.add_attendee_extra_block').data("radio_placeholder_text");
                var radio_add_btn_text = $('.add_attendee_extra_block').data("radio_add_btn_text");
                var radio_note = $('.add_attendee_extra_block').data("radio_note");

                var current_extra_block_index = $(this).data('current_extra_block_index');

                var radio_two_text_field = '';
                for (var i = 0; i < 2; i++) {
                    radio_two_text_field += '<div class="etn-attendee-field attendee_extra_type_radio_block mb-2">' +
                        '<input type="text" name="attendee_extra_fields[' + current_extra_block_index + '][radio][' + i + ']" value=""' +
                        'id="attendee_extra_type_' + current_extra_block_index + '_radio_' + i + '" class="attendee_extra_type_radio mr-1 etn-settings-input etn-form-control attendee_extra_type_radio_' + i + '"' +
                        'placeholder="' + radio_placeholder_text + '"/>' +
                        '</div>';
                }

                var radio_add_more_btn = '<div class="etn_flex_reverse attendee_extra_type_radio_section">' +
                    '<span class="add_attendee_extra_type_radio_block etn-btn-text"' +
                    'data-radio_placeholder_text="' + radio_placeholder_text + '"' +
                    'data-next_add_time_radio_parent_index="' + current_extra_block_index + '" data-next_add_time_radio_index="2">' +
                    radio_add_btn_text +
                    '</span>' +
                    '</div>';

                var radio_block_markup = '<div class="attendee_extra_type_radio_main_block">' +
                    '<div class="attendee_extra_type_radio_note">' + radio_note + '</div>' +
                    radio_two_text_field +
                    radio_add_more_btn +
                    '</div>';

                $(this).next().after(radio_block_markup);
            }
        } else {
            $(this).siblings('.attendee_extra_type_radio_main_block').css('display', 'none');
        }

        // checkbox section logic
        if (selected_type == 'checkbox') {
            var already_checkbox_block_exist = $(this).siblings('.attendee_extra_type_checkbox_main_block').length;

            if (already_checkbox_block_exist == 1) {
                $(this).siblings('.attendee_extra_type_checkbox_main_block').css('display', 'block');
            } else {
                // add checkbox block markup
                var checkbox_placeholder_text = $('.add_attendee_extra_block').data("checkbox_placeholder_text");
                var checkbox_add_btn_text = $('.add_attendee_extra_block').data("checkbox_add_btn_text");

                var current_extra_block_index = $(this).data('current_extra_block_index');

                // may delete later
                var checkbox_text_field = '<div class="etn-attendee-field attendee_extra_type_checkbox_block mb-2">' +
                    '<input type="text" name="attendee_extra_fields[' + current_extra_block_index + '][checkbox][0]" value=""' +
                    'id="attendee_extra_type_' + current_extra_block_index + '_checkbox_0" class="attendee_extra_type_checkbox mr-1 etn-settings-input etn-form-control"' +
                    'placeholder="' + checkbox_placeholder_text + '" />' +
                    '</div>';

                var checkbox_add_more_btn = '<div class="etn_flex_reverse attendee_extra_type_checkbox_section">' +
                    '<span class="add_attendee_extra_type_checkbox_block etn-btn-text"' +
                    'data-checkbox_placeholder_text="' + checkbox_placeholder_text + '"' +
                    'data-next_add_time_checkbox_parent_index="' + current_extra_block_index + '" data-next_add_time_checkbox_index="1">' +
                    checkbox_add_btn_text +
                    '</span>' +
                    '</div>';

                var checkbox_block_markup = '<div class="attendee_extra_type_checkbox_main_block">' +
                    checkbox_text_field +
                    checkbox_add_more_btn +
                    '</div>';

                $(this).next().after(checkbox_block_markup);
            }
        } else {
            $(this).siblings('.attendee_extra_type_checkbox_main_block').css('display', 'none');
        }
    })

    // show msg to fill at least 2 radio label field
    extra_main_block.on('keyup change', '.attendee_extra_type_radio', function (e) {
        var radio_block_arr = $(this).parents('.attendee_extra_type_radio_main_block').find('.attendee_extra_type_radio');
        radio_block_note_display($(this), radio_block_arr)
    });

    extra_main_block.on('keyup change', '.attendee_extra_label', function (e) {
        var $this = $(this);
        var current_id = $this.attr('id');
        var block_length = $(".attendee_block").length;
        var block = $(".warning_" + block_length);

        if ($this.val() == "" && block.length == 0) {
            $this.addClass('etn-field-invalid').after("<span class='warning_" + block_length + "'>" + warning_icon + warning_message + "</span>");
        } else {
            $this.removeClass('etn-field-invalid')
            block.remove();
        }

    });

    // if 2 radio label is not filled up then display the note
    function radio_block_note_display($this, radio_block_arr) {
        var radio_note_show = false;
        $.each(radio_block_arr, function (i, item) {
            if ((i == 0 || i == 1) && $(item).val() == '') {
                radio_note_show = true;
            }
        });

        if (radio_note_show) {
            $this.parents('.attendee_extra_type_radio_main_block').find('.attendee_extra_type_radio_note').css('display', 'block');
        } else {
            $this.parents('.attendee_extra_type_radio_main_block').find('.attendee_extra_type_radio_note').css('display', 'none');
        }
    }

    // add more attendee extra type radio field
    extra_main_block.on('click', '.add_attendee_extra_type_radio_block', function (e) {
        var radio_placeholder_text = $(this).data("radio_placeholder_text");

        var radio_parent_index = parseInt($(this).attr("data-next_add_time_radio_parent_index"));
        var radio_index = parseInt($(this).attr("data-next_add_time_radio_index"));

        var new_radio_markup = '<div class="etn-attendee-field attendee_extra_type_radio_block mb-2">' +
            '<input type="text" name="attendee_extra_fields[' + radio_parent_index + '][radio][' + radio_index + ']" value="" class="attendee_extra_type_radio mr-1 etn-settings-input etn-form-control" id="attendee_extra_type_' + radio_parent_index + '_radio_' + radio_index + '" placeholder="' + radio_placeholder_text + '" />' +
            '<span class="dashicons etn-btn dashicons dashicons-no-alt remove_attendee_extra_type_radio_field pl-1"></span>' +
            '</div>';

        $(this).closest('.attendee_extra_type_radio_main_block')
            .children('.attendee_extra_type_radio_block:last').after(new_radio_markup);

        $(this).attr('data-next_add_time_radio_index', radio_index + 1);
    });

    // add more attendee extra type checkbox field
    extra_main_block.on('click', '.add_attendee_extra_type_checkbox_block', function (e) {
        var checkbox_placeholder_text = $(this).data("checkbox_placeholder_text");

        var checkbox_parent_index = parseInt($(this).attr("data-next_add_time_checkbox_parent_index"));
        var checkbox_index = parseInt($(this).attr("data-next_add_time_checkbox_index"));

        var new_checkbox_markup = '<div class="etn-attendee-field attendee_extra_type_checkbox_block mb-2">' +
            '<input type="text" name="attendee_extra_fields[' + checkbox_parent_index + '][checkbox][' + checkbox_index + ']" value="" class="attendee_extra_type_checkbox mr-1 etn-settings-input etn-form-control" id="attendee_extra_type_' + checkbox_parent_index + '_checkbox_' + checkbox_index + '" placeholder="' + checkbox_placeholder_text + '" />' +
            '<span class="dashicons etn-btn dashicons dashicons-no-alt remove_attendee_extra_type_checkbox_field pl-1"></span>' +
            '</div>';

        $(this).closest('.attendee_extra_type_checkbox_main_block')
            .children('.attendee_extra_type_checkbox_block:last').after(new_checkbox_markup);

        $(this).attr('data-next_add_time_checkbox_index', checkbox_index + 1);
    });

    // remove attendee extra type radio field
    extra_main_block.on('click', '.remove_attendee_extra_type_radio_field', function (e) {

        var radio_block_arr = $(this).parents('.attendee_extra_type_radio_main_block').find('.attendee_extra_type_radio:not(:last)');
        radio_block_note_display($(this), radio_block_arr);

        $(this).parent().remove();
    });

    // remove attendee extra type checkbox field
    extra_main_block.on('click', '.remove_attendee_extra_type_checkbox_field', function (e) {
        $(this).parent().remove();
    });

    $('.etn-set-min-qty').on('change keyup', function () {
        var __this = $(this);
        var min_holder = __this.find("input[type='number']");
        var min_val = parseInt(min_holder.val());
        var max_holder = __this.siblings('.etn-set-max-qty').find("input[type='number']");
        var max_val = parseInt(max_holder.val());
        if ($.isNumeric(max_val) && min_val > max_val) {
            min_holder.val(max_val);
        }
    });

    $('.etn-set-max-qty').on('change keyup', function () {
        var __this = $(this);
        var max_holder = __this.find("input[type='number']");
        var max_val = parseInt(max_holder.val());
        var min_holder = __this.siblings('.etn-set-min-qty').find("input[type='number']");
        var min_val = parseInt(min_holder.val());
        if ($.isNumeric(min_val) && max_val < min_val) {
            max_holder.val(min_val);
        }
    });

    $("#banner_bg_color").wpColorPicker();
    $("#etn_event_calendar_bg").wpColorPicker();
    $("#etn_event_calendar_text_color").wpColorPicker();

    /** groundhogg settings triggered show/hide */

    jQuery('#groundhogg_api').on('change', function () {
        if (jQuery("#groundhogg_api").prop('checked')) {
            jQuery(".groundhogg_block").slideDown('slow');
        } else {
            jQuery(".groundhogg_block").slideUp('slow');
        }
    })
    jQuery('#groundhogg_api').trigger('change');

    /** Google map api settings triggered show/hide */
    jQuery('#etn_googlemap_api').on('change', function () {
        if (jQuery("#etn_googlemap_api").prop('checked')) {
            jQuery(".googlemap_block").slideDown('slow');
        } else {
            jQuery(".googlemap_block").slideUp('slow');
        }
    })
    jQuery('#etn_googlemap_api').trigger('change');

    /** onchange location options in the single event */
    $('.etn_event_location_type').change(function () {
        if ($('.etn_event_location_type').val() == 'new_location') {
            $('.etn-existing-items').hide();
            $('.etn-new-items').show();
        } else {
            $('.etn-existing-items').show();
            $('.etn-new-items').hide();
        }
    });

    // enable/disable option for stripe hide/show div
    $('#etn_sells_engine_stripe').on('change', function () {
        var _this = $(this);
        if (_this.prop('checked')) {
            $('.stripe-payment-methods').slideDown();
            var _that = $('#sell_tickets');
            if (_that.prop('checked')) {
                _that.prop("checked", false);
                $('.woocommerce-payment-type').slideUp();
            }
        } else {
            $('.stripe-payment-methods').slideUp();
        }
    });
    $('#etn_sells_engine_stripe').trigger('change');

    // enable/disable option for test mode hide/show div
    $('#etn_stripe_test_mode').on('change', function () {
        var _this = $(this);
        if (_this.prop('checked')) {
            $('.live-key-wrapper').slideUp();
            $('.test-key-wrapper').slideDown();
        } else {
            $('.live-key-wrapper').slideDown();
            $('.test-key-wrapper').slideUp();
        }
    });
    $('#etn_stripe_test_mode').trigger('change');

    $('.etn-generate-certificate').on('click', function () {
        var __this = $(this);
        var event_id = __this.data('event-id');
        var status_container = __this.siblings('.etn-generate-certificate-response');
        console.log(event_id);

        $.ajax({
            type: "POST",
            url: etn_pro_admin_object.ajax_url,
            dataType: 'json',
            data: {
                event_id: event_id,
                action: 'send_attendee_certificates',
                security: etn_pro_admin_object.certificate_nonce
            },
            beforeSend: function () {
                __this.attr('disabled', 'disabled');
                __this.css("cursor", "not-allowed");
                __this.addClass('etn-ajax-loading');
            },
            complete: function () {
                __this.removeAttr('disabled');
                __this.css("cursor", "pointer");
                __this.removeClass('etn-ajax-loading');
            },
            success: function (response) {
                console.log('success', response);
                // let data    = response.data;
                var content = response.content;
                var msg = response.messages[0];
                var status = response.status_code;
                if (status === 200) {
                    status_container.html(msg).addClass('status-success').removeClass('status-failed').css('display', 'block');
                    setTimeout(() => {
                        status_container.fadeOut('slow').css('display', 'none');
                    }, 2000);
                } else {
                    status_container.html(msg).removeClass('status-success').addClass('status-failed').css('display', 'block');
                    setTimeout(() => {
                        status_container.fadeOut('slow').css('display', 'none');
                    }, 2000);
                }
            },
            error: function (response) {
                status_container.html(response.messages[0]).removeClass('status-success').addClass('status-failed').css('display', 'block');
                setTimeout(() => {
                    status_container.fadeOut('slow').css('display', 'none');
                }, 2000);
            }
        });
    });
});
