<?php 
    $settings =  \Etn\Core\Settings\Settings::instance()->get_settings_option();
    $attendee_verification_style  =  (isset($settings['attendee_verification_style']) ? $settings['attendee_verification_style'] : 'on');
    $certificate_preference  =  (isset($settings['certificate_preference']) ? $settings['certificate_preference'] : 'on');
?>
 

 <div class="attr-form-group etn-label-item">
    <div class="etn-label">
        <label>
            <?php esc_html_e('Attendees\' Verification Process', 'eventin-pro'); ?>
        </label>
        <div class="etn-desc"> <?php esc_html_e('Determine attendees\' check-in process.', 'eventin-pro'); ?> </div>
    </div>
    <div class="etn-meta">
        <select value='on' id="attendee_verification_style" name='attendee_verification_style' class="etn-setting-input attr-form-control etn-settings-select">
             <option value='on' <?php echo esc_html( selected( $attendee_verification_style, 'on', false ) ); ?>> <?php echo esc_html__( 'Single Step for Auto Check-in', 'eventin-pro' ); ?> </option>
            <option value='off' <?php echo esc_html( selected( $attendee_verification_style, 'off', false ) ); ?>> <?php echo esc_html( 'Two Step for Manual Check-in', 'eventin-pro' ); ?> </option>
        </select>
    </div>
</div>
<div class="attr-form-group etn-label-item certificate-label-item">
    <div class="etn-label">
        <label>
            <?php esc_html_e('Certification Preference', 'eventin-pro'); ?>
        </label>
        <div class="etn-desc" style="max-width: 670px"> <?php esc_html_e('“Send to “Checked-in Attendees” option will allow you to send certificates to the attendees who checked in through QR Code scanning, whereas, Send to “All Attendees” option will send certificates to all the attendees.', 'eventin-pro'); ?> </div>
    </div>
    <div class="etn-meta">
        <select value='on' id="certificate_preference" name='certificate_preference' class="etn-setting-input attr-form-control etn-settings-select">
             <option value='on' <?php echo esc_html( selected( $certificate_preference, 'on', false ) ); ?>> <?php echo esc_html__( 'Send to "Checked-in Attendees"', 'eventin-pro' ); ?> </option>
            <option value='off' <?php echo esc_html( selected( $certificate_preference, 'off', false ) ); ?>> <?php echo esc_html( 'Send to "All Attendees"', 'eventin-pro' ); ?> </option>
        </select>
    </div>
</div>

<div class="etn-label-item etn-label-extra-field etn-label-top">
    <div class="etn-label">
        <label for="attendee_extra_field"
               class="etn-settings-label"><?php echo esc_html__('Extra Field', "eventin-pro"); ?></label>
        <p class="etn-desc"> <?php echo esc_html__("Extra field will be added in attendee form", "eventin-pro"); ?> </p>
    </div>
    <div class="etn-meta">
        <div class="attendee_extra_main_block">
			<?php
			$input_type_array = [
				'text'     => esc_html__('Text', 'eventin-pro'),
				'number'   => esc_html__('Number', 'eventin-pro'),
				'date'     => esc_html__('Date', 'eventin-pro'),
				'radio'    => esc_html__('Radio', 'eventin-pro'),
				'checkbox' => esc_html__('Checkbox', 'eventin-pro'),
			];

			$special_types = [
				'date',
				'radio',
				'checkbox',
			];

			$attendee_extra_fields = isset($settings['attendee_extra_fields']) ? $settings['attendee_extra_fields'] : [];

			$next_add_time_index = 1;
			if(is_array($attendee_extra_fields) && !empty($attendee_extra_fields)) {
				$next_add_time_index = count($attendee_extra_fields);

				foreach($attendee_extra_fields as $index => $attendee_extra_field) {
					$selection = !empty($attendee_extra_field['etn_field_type']) ? $attendee_extra_field['etn_field_type'] : "";
					?>
                    <div class="etn-attendee-field attendee_block">
                        <select name='attendee_extra_fields[<?php echo esc_attr($index); ?>][etn_field_type]'>
                            <option value="optional" <?php echo esc_attr($selection == 'optional' ? 'selected' : ''); ?> > <?php echo esc_html__("Optional", "eventin-pro") ?></option>
                            <option value="required" <?php echo esc_attr($selection == 'required' ? 'selected' : ''); ?>><?php echo esc_html__("Required", "eventin-pro") ?></option>
                        </select>
                        <div class="attendee_extra_field_wrapper">
                            <input type="text" name="attendee_extra_fields[<?php echo esc_attr($index); ?>][label]"
                                   value="<?php echo \Etn_Pro\Utils\Helper::render($attendee_extra_field['label']); ?>"
                                   id="attendee_extra_label_<?php echo esc_attr($index); ?>"
                                   class="attendee_extra_label mr-1 etn-settings-input etn-form-control"
                                   placeholder="<?php esc_html_e('Input Label', 'eventin-pro'); ?>" <?php echo ($index != 0) ? 'required' : '' ?> />
                        </div>
												<select name="attendee_extra_fields[<?php echo esc_attr($index); ?>][type]"
													id="attendee_extra_type_<?php echo esc_attr($index); ?>"
													class="attendee_extra_type mr-1 etn-settings-input etn-form-control"
													data-current_extra_block_index="<?php echo esc_attr($index); ?>" <?php echo ($index != 0) ? 'required' : '' ?>>
													<option value="" selected><?php echo esc_html__('Select Input Type', 'eventin-pro'); ?></option>
													<?php foreach($input_type_array as $key => $value) { ?>
																<option value="<?php echo esc_attr($key); ?>" <?php selected($attendee_extra_field['type'], $key, true) ?>>
																<?php echo esc_html($value); ?></option>
													<?php } ?>
												</select>
                        <div class="attendee_extra_field_wrapper">
                        <input type="text" name="attendee_extra_fields[<?php echo esc_attr($index); ?>][place_holder]"
                               value="<?php echo \Etn_Pro\Utils\Helper::render($attendee_extra_field['place_holder']); ?>"
                               id="attendee_extra_placeholder_<?php echo esc_attr($index); ?>"
                               class="attendee_extra_placeholder mr-1 etn-settings-input etn-form-control"
                               style="display: <?php echo in_array($attendee_extra_field['type'], $special_types) ? 'none' : 'block'; ?>;"
                               placeholder="<?php esc_html_e('Input Placeholder', 'eventin-pro'); ?>"/>
                        </div>

                        <!-- attendee extra type radio section -->
						<?php
						if($attendee_extra_field['type'] == 'radio' && isset($attendee_extra_field['radio'])) {
							if(is_array($attendee_extra_field['radio']) && count($attendee_extra_field['radio']) >= 2) {

								$next_add_time_radio_index = count($attendee_extra_field['radio']);
								?>

								<div class="attendee_extra_type_radio_main_block">
										<div class="attendee_extra_type_radio_note"
												style="display: none;"><?php echo esc_html__('Note: At least 2 radio label are required for working. 1st two are mandatory.', "eventin-pro"); ?></div>

									<?php
									// generating each radio field.
									foreach($attendee_extra_field['radio'] as $radio_index => $radio_val) {
										?>
										<div class="etn-attendee-field attendee_extra_type_radio_block mb-2">
											<input type="text"
														name="attendee_extra_fields[<?php echo esc_attr($index); ?>][radio][<?php echo esc_attr($radio_index); ?>]"
														value="<?php esc_html_e($radio_val, 'eventin-pro') ?>"
														id="attendee_extra_type_<?php echo esc_attr($index); ?>_radio_<?php echo esc_attr($radio_index); ?>"
														class="attendee_extra_type_radio mr-1 etn-settings-input etn-form-control <?php echo ($radio_index <= 1) ? 'attendee_extra_type_radio_' . esc_attr($radio_index) : ''; ?>"
														placeholder="<?php esc_html_e('Radio text', 'eventin-pro'); ?>" />

											<?php
											if($radio_index > 1) {
												?>
													<span class="dashicons etn-btn dashicons dashicons-no-alt remove_attendee_extra_type_radio_field pl-1"></span>
												<?php
											}
											?>
                    </div>
										<?php
									}
									?>

									<!-- add more radio portion -->
									<div class="etn_flex_reverse attendee_extra_type_radio_section">
												<span class="add_attendee_extra_type_radio_block etn-btn-text"
														data-radio_placeholder_text="<?php echo esc_html__("Radio text", "eventin-pro"); ?>"
														data-next_add_time_radio_parent_index="<?php echo esc_attr($index); ?>"
														data-next_add_time_radio_index="<?php echo esc_attr($next_add_time_radio_index); ?>">
														<?php echo esc_html__('Add Radio', 'eventin-pro'); ?>
												</span>
									</div>
							</div>
								<?php

							}
						}
						?>

                        <!-- attendee extra type checkbox section -->
						<?php

						if($attendee_extra_field['type'] == 'checkbox' && isset($attendee_extra_field['checkbox'])) {
							if(is_array($attendee_extra_field['checkbox']) && count($attendee_extra_field['checkbox']) >= 1) {

								$next_add_time_checkbox_index = count($attendee_extra_field['checkbox']);
								?>

                <div class="attendee_extra_type_checkbox_main_block">
									<?php
									// generating each checkbox field.
									foreach($attendee_extra_field['checkbox'] as $checkbox_index => $checkbox_val) {
										?>
                                        <div class="etn-attendee-field attendee_extra_type_checkbox_block mb-2">
                                            <input type="text"
                                                   name="attendee_extra_fields[<?php echo esc_attr($index); ?>][checkbox][<?php echo esc_attr($checkbox_index); ?>]"
                                                   value="<?php esc_html_e($checkbox_val, 'eventin-pro') ?>"
                                                   id="attendee_extra_type_<?php echo esc_attr($index); ?>_checkbox_<?php echo esc_attr($checkbox_index); ?>"
                                                   class="attendee_extra_type_checkbox mr-1 etn-settings-input etn-form-control"
                                                   placeholder="<?php esc_html_e('Checkbox text', 'eventin-pro'); ?>" <?php echo ($index != 0) ? 'required1' : '' ?> />

											<?php
											if($checkbox_index > 0) {
												?>
                        <span class="dashicons etn-btn dashicons dashicons-no-alt remove_attendee_extra_type_checkbox_field pl-1"></span>
												<?php
											}
											?>
                    </div>
										<?php
									}
									?>

									<!-- add more checkbox portion -->
									<div class="etn_flex_reverse attendee_extra_type_checkbox_section">
											<span class="add_attendee_extra_type_checkbox_block etn-btn-text"
															data-checkbox_placeholder_text="<?php echo esc_html__("Checkbox text", "eventin-pro"); ?>"
															data-next_add_time_checkbox_parent_index="<?php echo esc_attr($index); ?>"
															data-next_add_time_checkbox_index="<?php echo esc_attr($next_add_time_checkbox_index); ?>">
													<?php echo esc_html__('Add Checkbox', 'eventin-pro'); ?>
											</span>
									</div>
							</div>
								<?php

							}
						}
						?>
                        <div class="attendee_extra_show_in_dashboard_wrapper etn-checkbox-field">
                            <input type="checkbox"
                                   name="attendee_extra_fields[<?php echo esc_attr($index); ?>][show_in_dashboard]"
                                   value=""
                                   id="attendee_extra_show_in_dashboard_<?php echo esc_attr($index); ?>"
                                   class="attendee_extra_show_in_dashboard mr-1 etn-settings-input etn-form-checkbox"
								<?php echo isset($attendee_extra_field['show_in_dashboard']) ? 'checked' : '' ?> />

                            <label for="attendee_extra_show_in_dashboard_<?php echo esc_attr($index); ?>">
								<?php esc_html_e('Show in Attendee Dashboard', 'eventin-pro'); ?>
                            </label>
                        </div>
						<?php
						if($index != 0) {
							?>
                            <span class="dashicons etn-btn dashicons dashicons-no-alt remove_attendee_extra_field pl-1"></span>
							<?php
						}
						?>
                    </div>
					<?php
				}
			} else {
				?>
                <div class="etn-attendee-field attendee_block mb-2">
                    <select name='attendee_extra_fields[0][etn_field_type]'>
                        <option value="optional"> <?php echo esc_html__("Optional", "eventin-pro") ?></option>
                        <option value="required"><?php echo esc_html__("Required", "eventin-pro") ?></option>
                    </select>
					<div class="attendee_extra_field_wrapper">
						<input type="text" name="attendee_extra_fields[0][label]" value=""
                           class="attendee_extra_label mr-1 etn-settings-input etn-form-control"
                           placeholder="<?php esc_html_e('Input Label', 'eventin-pro'); ?>"/>
					</div>
                    <select name="attendee_extra_fields[0][type]"
                            class="attendee_extra_type mr-1 etn-settings-input etn-form-control"
                            data-current_extra_block_index="0">
                        <option value="" selected><?php echo esc_html__('Select Input Type', 'eventin-pro'); ?></option>
						<?php
						foreach($input_type_array as $key => $value) {
							?>
							<option value="<?php echo esc_attr($key); ?>"><?php echo esc_html($value); ?></option>
							<?php
						}
						?>
                    </select>
                    <input type="text" name="attendee_extra_fields[0][place_holder]" value=""
                           class="attendee_extra_placeholder mr-1 etn-settings-input etn-form-control"
                           placeholder="<?php esc_html_e('Input Placeholder', 'eventin-pro'); ?>"/>
					<div class="attendee_extra_show_in_dashboard_wrapper etn-checkbox-field">
						<input 
							type="checkbox" 
							name="attendee_extra_fields[0][show_in_dashboard]" value=""
							class="attendee_extra_show_in_dashboard mr-1 etn-settings-input etn-form-checkbox"
						 	id="attendee_extra_show_in_dashboard[0]"
						   />
						<label for="attendee_extra_show_in_dashboard[0]">
							<?php esc_html_e('Show in Attendee Dashboard', 'eventin-pro'); ?>
						</label>
					</div>
                    
                </div>
				<?php
			}
			?>
        </div>

        <div class="etn_flex_reverse attendee_extra_section">
            <span class="add_attendee_extra_block etn-btn-text"
                  data-label_text="<?php echo esc_html__("Label text", "eventin-pro"); ?>"
                  data-placeholder_text="<?php echo esc_html__("Placeholder text", "eventin-pro"); ?>"
                  data-select_input_type_text="<?php echo esc_html__("Select Input Type", "eventin-pro"); ?>"
                  data-input_type_text="<?php echo esc_html__("Text", "eventin-pro"); ?>"
                  data-input_type_number="<?php echo esc_html__('Number', "eventin-pro"); ?>"
                  data-input_type_date="<?php echo esc_html__('Date', "eventin-pro"); ?>"
                  data-input_type_radio="<?php echo esc_html__('Radio', "eventin-pro"); ?>"
                  data-input_type_checkbox="<?php echo esc_html__('Checkbox', "eventin-pro"); ?>"
                  data-radio_placeholder_text="<?php echo esc_html__('Radio text', "eventin-pro"); ?>"
                  data-radio_add_btn_text="<?php echo esc_html__('Add Radio', "eventin-pro"); ?>"
                  data-radio_note="<?php echo esc_html__('Note: At least 2 radio label are required for working. 1st two are mandatory.', "eventin-pro"); ?>"
                  data-checkbox_placeholder_text="<?php echo esc_html__('Checkbox text', "eventin-pro"); ?>"
                  data-checkbox_add_btn_text="<?php echo esc_html__(' Add Checkbox', "eventin-pro"); ?>"
                  data-show_in_dashboard_text="<?php echo esc_html__('Show in Attendee Dashboard', "eventin-pro"); ?>"
                  data-next_add_time_index="<?php echo esc_attr($next_add_time_index); ?>">

                <?php echo esc_html__('Add Field', 'eventin-pro'); ?>
            </span>
        </div>
    </div>
</div>
