import { HashRouter, Route, Routes } from "react-router-dom";
import "./index.scss";
import EventContextProvider from "./providers/eventProvider";
import { routes } from "./routes/routes";

function App() {
  return (
    <div className="etn-mltv-event-app">
      {
        <HashRouter >
          <Routes>

            {routes?.map((route, i) => {
              return (
                <Route
                  key={`route-${route.path}-${i}`}
                  path={route.path}
                  element={
                    <>
                      <EventContextProvider>
                        <route.component />
                      </EventContextProvider>
                    </>
                  }
                />
              );
            })}

          </Routes>
        </HashRouter>

      }
    </div>
  );
}

export default App;
