import { useState, useEffect, useContext } from "react";
import { Button, Tooltip } from "antd";
import { ReloadOutlined } from "@ant-design/icons/";
import { Input } from "antd";
import { base_url } from "../../apiEndpoints/endPoints";
import EventContext from "../../context/EventContext";
const { Search } = Input;
const { __ } = wp.i18n;


function TableHeader({ heading, isScanner, eventId }) {
  const { state, onChangeFormData, onPageChangeHandler, onAttendeeUpdateHandler } =
  useContext(EventContext);
const {
  etn_event_attendees,
  etn_event_attendees_count,
  attendeeToUpdate,
  event_id,
  paged,
  posts_per_page,
  clicked_event, refresh_loading
} = state;



  return (
    <>
      <div className="etn-attendee-list-headWrapper">
        <div className="etn-front-end-head-top">
          <h2 className="etn-front-end-head">{heading}</h2>
          <Tooltip placement="topLeft" title={etn_event_attendees?.length > 0 ? "" : __("This event doesn't have any attendee", "eventin-pro")}>
          <Button
            className="etn-front-end-ticket-scanner"
            disabled={etn_event_attendees?.length > 0 ? false : true}
            href={`${base_url}/wp-admin/edit.php?post_type=etn-attendee&etn_action=ticket_scanner&from=frontend&event_id=${eventId}`}
            style={etn_event_attendees?.length > 0 ? {} : {color: '#00000040', backgroundColor: '#f5f5f5', borderColor: '#d9d9d9'}}
          >
            
           { __('Ticket Scanner', 'eventin-pro')}
          </Button>
      </Tooltip>
          
          <Button
            className="etn-front-end-refresh"
            type="default"
            loading={refresh_loading}
            onClick={() => {
              onPageChangeHandler({ event_id, paged, posts_per_page });
            }}
          >
            { __('Refresh','eventin-pro')}
          </Button>
          
          {/* <video id="etn_ticket_scanner_video"></video> */}
        </div>

        {/* <div className="etn-front-end-head-bottom">
          <h2 className="etn-fron-end-event-title">Selected event: {eventTitle}</h2>
          <Search
          className="etn-front-end-attendee-search"
            placeholder="input search text"
            onSearch={() => {}}
            style={{
              width: 200,
            }}
          />
        </div> */}
      </div>
    </>
  );
}

export default TableHeader;
