import { Button, Col, Form, Input, Row } from "antd";
import React, { useContext } from "react";
import EventContext from "../../context/EventContext";
import TimePicker from "./TimePicker";
const { __ } = wp.i18n;

function CreateOrganizer() {

    const organizer = {
        name: "",
        description: "",
        
      };
  const { state, onChangeFormData } = useContext(EventContext);
  const { etn_event_schedule_title, etn_event_schedule_topic, etn_organizer } =
    state;

  /**
   * Handler for SET and TRACK organizer form data
   * @param {String} fieldName Name of the current changing field
   * @param {String} value Value of the current chagning field
   * @param {Number} organizerIndex Index of current organizer(Repeater)
   */
  const onChangeOrganizerData = (fieldName, value, organizerIndex) => {
    let _etn_organizer = JSON.parse(JSON.stringify(etn_organizer));
    _etn_organizer[organizerIndex][fieldName] = value;
    onChangeFormData("etn_organizer", _etn_organizer);
  };

  return (
    <div className="etn-front-end-create-speaker">
      {etn_organizer?.map((organizer, i) => {
        return (
          <>
            <Row gutter={[12, 12]}>
              <Col xs={24} sm={24} md={12}>
                <Form.Item
                  label={__("Name", "eventin-pro")}
                  labelCol={24}
                  wrapperCol={24}
                >
                  <Input
                    type={"text"}
                    value={organizer ? organizer?.name : ""}
                    onChange={(e) => {
                      onChangeOrganizerData("name", e.target.value, i);
                    }}
                    size="small"
                    placeholder={__("Enter name", "eventin-pro")}
                  />
                </Form.Item>
              </Col>

              <Col xs={24} sm={24} md={12}>
                <Form.Item
                  label={__("Description", "eventin-pro")}
                  labelCol={24}
                  wrapperCol={24}
                >
                  <Input
                    type={"text"}
                    value={organizer ? organizer?.description : ""}
                    onChange={(e) => {
                      onChangeOrganizerData("description", e.target.value, i);
                    }}
                    size="small"
                    placeholder={__(" description", "eventin-pro")}
                  />
                </Form.Item>
              </Col>
            </Row>
            {i >0 && <Row>
                <Col>
                    <Button
                        onClick={()=>{
                            onChangeFormData('etn_organizer', [...etn_organizer].filter((orgItem, orgIndex) => orgIndex != i))
                        }}
                    >X</Button>
                </Col>
            </Row>}
          </>
        );
      })}
      <Row>
        <Col>
            <Button onClick={() => {
              onChangeFormData("etn_organizer", [...etn_organizer, organizer]);
            }}>{__("Add More Organizer", "eventin-pro")}</Button>
        </Col>
      </Row>
    </div>
  );
}

export default CreateOrganizer;
