import React, { useContext } from "react";
import { Modal } from "antd";
import { CheckCircleTwoTone } from "@ant-design/icons";
import EventContext from "../../context/EventContext";
import { base_url } from "../../apiEndpoints/endPoints";
const { confirm } = Modal;
const { __ } = wp.i18n;

function DeleteConfirm({handleOk, hideModal, okText, cancelText, title, icon}) {
  const { state, onChangeFormData } = useContext(EventContext);
  const {success_title, success_msg, show_delete_modal} = state;

  const ConfirmationModal = () => {
    confirm({
      title: title ? title : success_title,
      icon: !icon ? null : <CheckCircleTwoTone style={{fontSize: "50px"}} twoToneColor="#5d5dff" />,
      content: success_msg,
      centered: true,
      okText: __(okText, 'eventin-pro'),
      cancelText: __(cancelText, 'eventin-pro'),
      onOk: handleOk,
      onCancel: hideModal,
      wrapClassName:"etn-mltv-modal-wrapper"
    });
  };

  if (show_delete_modal) {
    return <>{ConfirmationModal()}</>;
  } else {
    return null;
  }
}

export default DeleteConfirm;
