import { Layout, Steps } from "antd";
import React, { useContext, useState } from "react";
import EventContext from "../../context/EventContext";
import StepIcon from "../common/StepIcon";
const { __ } = wp.i18n;

const { Step } = Steps;



function  Header() {
  const [steps, setSteps] = useState(stepsData);
  
  const {state} = useContext(EventContext);
  const {step} = state;
  return (
    <>
      <Layout
        className="etn-mltv-content-layout"
        
      >
        <Steps
          current={step}
          className="etn-mltv-steps"
          size="small"
        >
          {steps.map((s, i) => {
            const status = i < step ? "prev" : i == step ? "cur" : "next";
            return (
              <Step
                key={`step-${i}`}
                icon={<StepIcon text={status} />}
              />
            );
          })}
        </Steps>

        <h3 className="etn-mltv-content-layout-step">{__(`STEP ${step + 1} OF ${steps.length}`, 'eventin-pro')}</h3>
      </Layout>
    </>
  );
}

export default Header;


export const stepsData = [
  {
    1: "Step 1",
    description: "Welcome to eventin",
    isComplete: false,
    isRequired: false,
  },
  {
    2: "Step 2",
    description: "Subscription",
    isComplete: false,
    isRequired: false,
  }
];