import { Button, Modal } from "antd";
import React from "react";
import { icons } from "../steps/GeneralInfo";
const { __ } = wp.i18n;

const IconModal = ({
  isModalVisible,
  setIsModalVisible,
  getIcon,
  fieldName,
}) => {


  /**
   * Handler for Ok button click(Hide the modal)
   */
  const handleOk = () => {
    setIsModalVisible(false);
  };

  /**
   * Handler for Cancel button click(Hide the modal)
   */
  const handleCancel = () => {
    setIsModalVisible(false);
  };

  return (
    <>
      <Modal
        footer={[<Button onClick={handleCancel}>{__("Close", 'eventin-pro')}</Button>]}
        title={__("Icons", 'eventin-pro')}
        visible={isModalVisible}
        onOk={handleOk}
        onCancel={handleCancel}
        style={{
          top: 20,
        }}
        wrapClassName={'etn-mltv-modal-wrapper'}
      >
        <div className="etn-mltv-social-icon-list">
          {icons.map((icon, i) => {
            return (
              <span
                key={`icon-${icon}-${i}`}
                onClick={() => {
                  getIcon(icon, fieldName);
                }}
              >
                <i className={icon}></i>
              </span>
            );
          })}
        </div>
      </Modal>
    </>
  );
};

export default IconModal;
