import { Button, Col, Form, Input } from "antd";
const { __ } = wp.i18n;

const SocialRepeater = ({ socials, setIconModal, removeSocial, setSocialData, iconModal }) => {
  return socials?.map((link, i) => {
    return (
      <Col
        xs={24}
        sm={24}
        md={24}
        className="etn-mltv-general-social-media"
        key={`socail-reater-${i}`}
      >
        {link.icon ? (
          <div
            className="etn-mltv-social-icon"
            onClick={() => {
              setIconModal(!iconModal, i);
            }}
          >
            <i
              className={`${
                socials
                  ? socials[i]["icon"]
                  : link["icon"]
              }`}
            ></i>
          </div>
        ) : (
          <div
            className="etn-mltv-social-icon"
            onClick={() => {
                setIconModal(!iconModal, i);
            }}
          ></div>
        )}

        <Form.Item wrapperCol={16}>
          <Input
            onClick={() => {
              setIconModal(!iconModal, i);
            }}
            value={link.icon}
            type={"text"}
            placeholder={__("Your icon name", "eventin-pro")}
          />
        </Form.Item>

        <Form.Item wrapperCol={16}>
          <Input
            type={"text"}
            value={link?.etn_social_title ? link?.etn_social_title : ""}
            onChange={(e) => {
              setSocialData(e.target.value, "etn_social_title", i);
            }}
            placeholder={__("Title here", "eventin-pro")}
          />
        </Form.Item>

        <Form.Item wrapperCol={16}>
          <Input
            type={"text"}
            value={link?.etn_social_url ? link?.etn_social_url : ""}
            onChange={(e) => {
              setSocialData(e.target.value, "etn_social_url", i);
            }}
            placeholder={__("URL here", "eventin-pro")}
          />
        </Form.Item>

        {
          <Button
            className="etn-close-button"
            type="danger"
            size={"small"}
            onClick={() => {
              removeSocial(i);
            }}
          >
            X
          </Button>
        }
      </Col>
    );
  });
};

export default SocialRepeater;
