import { Menu } from 'antd';
import { useContext, useState, useEffect } from 'react';
import {
  Link, useNavigate, useLocation
} from "react-router-dom";
import EventContext from '../../context/EventContext';
const { __ } = wp.i18n;


function TopNavigation() {

    const { state, onChangeFormData } = useContext(EventContext);
    const { paged, posts_per_page, top_nav_menu_active } = state;
    const navigate = useNavigate();
    const location = useLocation();
    useEffect(() => {
        onChangeFormData('top_nav_menu_active', location.pathname);
     
    }, [])
    
    const items = [
        {
          label: __('Events','eventin-pro'),
          key: '/',
        //   icon: <MailOutlined />,
        },
        {
          label: __('Speakers', 'eventin-pro'),
          key:  '/speakers',
        //   icon: <MailOutlined />,
        } 
        
      ];

    const [current, setCurrent] = useState('mail');

    /**
     * Handler for listen the click event on Top navigation and navigate to that route.
     * @param {Object} e Event object 
     */
    const onClick = (e) => {
      navigate(e.key);
      onChangeFormData('top_nav_menu_active', e.key);
      onChangeFormData("component", "table");

    };
  return (
    <>
        <Menu onClick={onClick} selectedKeys={[top_nav_menu_active || 'events']} mode="horizontal" items={items} />
        
    </>
  )
}

export default TopNavigation