import { LoadingOutlined, PlusOutlined } from '@ant-design/icons';
import React, { useState } from "react";
const { __ } = wp.i18n;
function UploadButton({onClick, url, name}) {
  const [loading, setLoading] = useState(false);
  const [imageUrl, setImageUrl] = useState();

  const uploadButton = (
    <div className="etn-mltv-img-plus-outline">
      {loading ? <LoadingOutlined /> : <PlusOutlined />}
      <div
        style={{
          marginTop: 8,
        }}
      >
        {__("Upload", 'eventin-pro')}
      </div>
    </div>
  );



  
  return (
    <div
      className="avatar-uploader"
      
      onClick={() => {onClick( name)}}
    >
      {imageUrl ? (
        <img
          
          src={imageUrl}
          alt="avatar"
          style={{
            width: "100%",
          }}
        />
      ) : (
        uploadButton
      )}
    </div>
  );
}

export default UploadButton;
