import { useEffect, useContext, useState } from 'react'
import "./index.scss";
import "./attendeelist.scss";
// import "antd/dist/antd.css";

import AttendeeList from "./components/attendee/attendeeList";
import TopNavigation from './components/common/TopNavigation';
import Events from './components/event/Events';
import AttendeeTable from './components/attendee/attendeeTable';
import EventContext from './context/EventContext';
import { get_attendees_by_event_id } from './apiEndpoints/endPoints';
import Spinner from './components/common/Spinner';
const { __ } = wp.i18n;

function FrontendAttendee({ page }) {
  const { state, onChangeFormData } = useContext(EventContext);
  const { paged, posts_per_page, top_nav_menu_active } = state;

  return (
    <div className="etn-mltv-event-frontend-attendee-list">
      <TopNavigation />
      <>
        {top_nav_menu_active == 'events' && <Events />}
        {top_nav_menu_active == 'attendees' && <AttendeeTable />}
      </>

    </div>
  );
}

export default FrontendAttendee;
