<?php

defined( 'ABSPATH' ) || exit;

use Etn_Pro\Utils\Helper;

?>
<div class="etn-event-speakers etn-single-event-speaker-block">
    <h3 class="speaker-block-title">
    <?php  
        $event_speakers_title = apply_filters( 'etn_event_organizers_title', esc_html__("Speaker",  'eventin-pro' ) );
        echo esc_html( $event_speakers_title );
    ?> 
    </h3>
    <?php
    $term_details = get_term_by('slug',  $etn_speaker_events, 'etn_speaker_category');
    $speaker_term_id = !empty($term_details->term_id) ? $term_details->term_id : '';

    $data = Helper::post_data_query('etn-speaker', -1 , 'DESC' , [$speaker_term_id] , 'etn_speaker_category' , null, null );
    ?>
    <div class="etn-single-event-speaker-grid-wrapper">
        <?php
        if (isset( $data ) && !empty( $data )) {
            foreach ($data as $value) { 
                $social = get_post_meta( $value->ID , 'etn_speaker_socials', true);
                $etn_speaker_designatioin = get_post_meta( $value->ID , 'etn_speaker_designation', true);
                $etn_speaker_permalink = get_post_permalink($value);
                ?>
                <div class="etn-se-speaker-item">
                    <?php if (has_post_thumbnail($value->ID)) : ?>
                        <div class="etn-speaker-image">
                            <a href='<?php echo esc_url($etn_speaker_permalink); ?>'>
                                <?php echo get_the_post_thumbnail( $value->ID, [100, 100] ); ?>
                            </a>
                        </div>
                    <?php endif; ?>

                    <h4 class="etn-speaker-name">
                        <a href='<?php echo esc_url($etn_speaker_permalink); ?>'> <?php echo esc_html( get_the_title( $value->ID ) ); ?> </a>
                    </h4> 
                    <?php if ($etn_speaker_designatioin) : ?>
                        <div class="etn-speaker-designation">
                            <p><?php echo esc_html($etn_speaker_designatioin); ?></p>
                        </div>
                    <?php endif; ?>

                    <?php if (is_array( $social ) && !empty( $social ) ) : ?>
                        
                        <div class="etn-social etn-social-style-1">
                            <?php 
                                foreach ($social as $social_value) : 
                                $etn_social_class = 'etn-' . str_replace('fab fa-', '', $social_value['icon']);
                            ?> 
                                <a  href="<?php echo esc_url($social_value["etn_social_url"]); ?>" target="_blank" class="<?php echo esc_attr($etn_social_class); ?>" title="<?php echo esc_attr($social_value["etn_social_title"]); ?>"><i class="<?php echo esc_attr($social_value["icon"]); ?>"></i></a>
                            <?php  endforeach; ?>
                        </div>
                    <?php endif; ?>
                </div>
                <?php
            }
            wp_reset_postdata();
        }
        ?>
    </div>
</div>