<?php

defined('ABSPATH') || exit;

use Etn_Pro\Utils\Helper;

$event_location_type = get_post_meta($single_event_id, 'etn_event_location_type', true);
$event_terms   = !empty(get_the_terms($single_event_id, 'etn_location')) ? get_the_terms($single_event_id, 'etn_location') : [];
?>
<ul class="list-unstyled etn-event-date-meta">
	<?php if(!isset($event_options["etn_hide_time_from_details"])) { ?>
        <li>
            <i class="etn-icon etn-location"></i> <?php echo esc_html($event_start_date . Helper::showing_space( $event_end_date ) . $event_end_date); ?>
        </li>
	<?php } ?>
	<?php if(!isset($event_options["etn_hide_location_from_details"]) && $event_location_type === 'existing_location') : ?>
        <li>
            <i class="etn-icon etn-location"></i>
			<?php echo esc_html($etn_event_location); ?>
        </li>
	<?php endif; ?>
	<?php if(!isset($event_options["etn_hide_location_from_details"]) && $event_location_type === 'new_location') : ?>
        <li class="etn-taxonomy-location-meta">
            <i class="etn-icon etn-location"></i>
			<?php foreach($event_terms as $term) : ?>
                <span><?php echo esc_html($term->name); ?></span>
			<?php endforeach; ?>
        </li>
	<?php endif; ?>
</ul>